org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface Pattern

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternImpl

      public interface Pattern
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Pattern'.

  The following features are supported:

  - `Annotations`
  - `Modifiers`
  - `Name`
  - `Parameters`
  - `Bodies`
  See Also:
    `PatternLanguagePackage.getPattern()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Annotation>` | `getAnnotations()` Returns the value of the 'Annotations' containment reference list.
    `org.eclipse.emf.common.util.EList<PatternBody>` | `getBodies()` Returns the value of the 'Bodies' containment reference list.
    `Modifiers` | `getModifiers()` Returns the value of the 'Modifiers' containment reference.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
    `org.eclipse.emf.common.util.EList<Variable>` | `getParameters()` Returns the value of the 'Parameters' containment reference list.
    `void` | `setModifiers(Modifiers value)` Sets the value of the '`Modifiers`' containment reference.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAnnotations

          org.eclipse.emf.common.util.EList<Annotation> getAnnotations()

      Returns the value of the 'Annotations' containment reference list. The list contents are of type `Annotation`.

      If the meaning of the 'Annotations' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Annotations' containment reference list.
      See Also:
        `PatternLanguagePackage.getPattern_Annotations()`
      Generated:
      Model:
        containment="true"

    - #### getModifiers

          Modifiers getModifiers()

      Returns the value of the 'Modifiers' containment reference.

      If the meaning of the 'Modifiers' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Modifiers' containment reference.
      See Also:
        `setModifiers(Modifiers)`, `PatternLanguagePackage.getPattern_Modifiers()`
      Generated:
      Model:
        containment="true"

    - #### setModifiers

          void setModifiers(Modifiers value)

      Sets the value of the '`Modifiers`' containment reference.
      Parameters:
        `value` - the new value of the 'Modifiers' containment reference.
      See Also:
        `getModifiers()`
      Generated:

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `PatternLanguagePackage.getPattern_Name()`
      Generated:
      Model:

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated:

    - #### getParameters

          org.eclipse.emf.common.util.EList<Variable> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `Variable`.

      If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `PatternLanguagePackage.getPattern_Parameters()`
      Generated:
      Model:
        containment="true"

    - #### getBodies

          org.eclipse.emf.common.util.EList<PatternBody> getBodies()

      Returns the value of the 'Bodies' containment reference list. The list contents are of type `PatternBody`.

      If the meaning of the 'Bodies' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Bodies' containment reference list.
      See Also:
        `PatternLanguagePackage.getPattern_Bodies()`
      Generated:
      Model:
        containment="true"

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"